﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP (1 yr) Frequency Reference VER /LFCTR
DATE:                  2011-03-03
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       100
CONFIGURATION:         LF Counter
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP series
#
#  Compatibility:
#        MET/CAL 7.3 (7.3.26) or later
#
#  Subprocedures:
#        Sub Initialize /LFCTR
#        Sub Reset /LFCTR
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  IEEE         [@LFCTR]
  1.003  ENDIF

  1.004  MATH         FreqRef        = INI("startup", "FreqRefDevName")
  1.005  MATH         FreqRefAccMode = INI("startup", "FreqRefAccMode")

  1.006  RSLT         =
  1.007  HEAD         {REFERENCE FREQUENCY ACCURACY}
  1.008  TARGET       -p
  1.009  TSET         TDESC = 10 MHz

  1.010  CALL         Sub Initialize /LFCTR
  1.011  CALL         Sub Reset /LFCTR

  1.012  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.013  DISP         Make the following connections:
  1.013  DISP
  1.013  DISP         [32] UUT (rear panel)   to    [V @LFCTR_DevName]
  1.013  DISP         [32]  10 MHZ REF OUT  ------> [V @LFCTR_Ch1]

  1.014  HEAD         -2 10 MHz Ref Out
  1.015  SCPI         ROSC:SOUR INT
  1.016  MATH         @LFCTR_MeasTime = "2s"
  1.017  MATH         @LFCTR_Func     = "FreqCh1"
  1.018  MATH         @LFCTR_Ch1Imp   = "LoZ"

  1.019  IF           ZCMP(FreqRef, @LFCTR_DevName)
  1.020  MATH         @LFCTR_ROSC = "Int"
  1.021  ELSE
  1.022  MATH         @LFCTR_ROSC = "Ext"
  1.023  ENDIF

  1.024  TARGET       -m
  1.025  CALL         Sub Measure /LFCTR
  1.026  MATH         L[1] = ACCV(FreqRef, FreqRefAccMode, MEM)
# Normalize frequency reference accuracy and convert to MHz.
  1.027  MATH         L[1] = (L[1] / CONF(FreqRef)) / 1E+6
  1.028  MATH         @LFCTR_Meas = MEM; @LFCTR_Ampl = "0 dBm"
  1.029  CALL         Sub Get Accuracy /LFCTR
  1.030  MATH         L[2] = (@LFCTR_Acc / CONF(@LFCTR_DevName)) / 1E+6
  1.031  MATH         L[3] = RSS_L(1, 2) * 2
  1.032  MATH         MEM = MEM / 1E+6
  1.033  ACC          MHz            L3U
  1.034  TSET         UUT_RES = 0.1

  1.035  IF           @Opt_B4
# High-Stability (FSP-B4) Timebase.
  1.036  TOL          0.1P%
  1.037  ELSE
# Standard Timebase.
  1.038  TOL          1.0P%
  1.039  ENDIF

  1.040  MEMC   10    10MHz          TOL

  2.001  HEAD         -2
  2.002  SCPI         *RST
  2.003  CALL         Sub Reset /LFCTR
  2.004  HEAD
  2.005  END
