﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSP Frequency Response Tests /LPNX
DATE:                  2011-06-30
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       95
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSP3, FSP7, FSP13
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSP (1 yr) Frequency Response Test /LPNX
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  LPNX         ExtRefFrequency = 10 MHz; TimebaseAccuracyOff
  1.001  LPNX         +Level = -6 dBm; Freq = 128 MHz; OutputImp = 50 Ohms
  1.002  CALL         Sub FSP Take Sweep (MKPK)
  1.003  SCPI         CALC:MARK:Y?[I]
  1.004  MATH         @FSP_RefLvl = -6; @9640Lvl = @FSP_RefLvl
  1.005  MATH         @9640Freq = 128E+6; @9640RefIn = 10E+6; @Error = 0

  1.006  WHILE        ((MEM <= -6.02) || (MEM >= -5.98)) && NOT(@Error)
  1.007  CALL         Sub FSP Set Ref Level (dBm) /9640
  1.008  ENDW

  1.009  IF           @Error
  1.010  EVAL   -e 0 : An error occurred during the [V @TestName].
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  CALL         Sub FSP Take Sweep (MKPK)
  2.005  SCPI         CALC:MARK:Y?[I]
  2.006  MATH         @RefLvl = MEM

  2.007  IF           @Opt_B29 && (@Atten == 10)
  2.008  MATH         @TestFreq = "100 Hz"
  2.009  SCPI         FREQ:SPAN 100;:BAND:RES 10
  2.010  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX

  2.011  MATH         @TestFreq = "1 kHz"
  2.012  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX

  2.013  MATH         @TestFreq = "10 kHz"
  2.014  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX

  2.015  MATH         @TestFreq = "100 kHz"
  2.016  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX
  2.017  SCPI         FREQ:SPAN 100E+3;:BAND:RES 10E+3
  2.018  ENDIF

  2.019  MATH         @TestFreq = "1 MHz"
  2.020  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX

  2.021  MATH         @TestFreq = "10 MHz"
  2.022  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX

  2.023  MATH         @TestFreq = "50 MHz"
  2.024  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX

  2.025  MATH         @TestFreq = "100 MHz"
  2.026  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX

  2.027  MATH         @TestFreq = "200 MHz"
  2.028  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX

  2.029  MATH         @TestFreq = "300 MHz"
  2.030  CALL         Sub FSP (1 yr) Frequency Response Test /LPNX

  2.031  END
